const info = (async() => {
    const config = require('../config');
    const encrypt = require('../utilities/encrypted');
    const got = require('got');

    const {body} = await got.post('http://app.etiquetaselectronicas.com:9999/user/login', {
        json: {
            account: config.user,
            loginType: 3,
            password: await encrypt.encryptPassword(config.password)
        },
        responseType: 'json'
    });
    return body;
})();

exports.info = info;
