const express = require('express');
const app = express();
const port = 9999;
const logIn = require('./methods/logIn');

const dataLogIn = logIn.info;
exports.dataLogIn = dataLogIn;

app.use('/getNumShelving', require('./methods/setCollection'));
app.use('/insertTicket', require('./methods/bindTicketShelving'));
app.use('/bindShelving', require('./methods/bindShelvingTag'));

app.listen(port, () => {
    console.log(`Example app listening at http://localhost:${port}`);
});
